Package com.collibra.dgc.core.api.dto.instance.jdbc

# Class FindJdbcDriverRequest

Object
PagedRequest
FindJdbcDriverRequest

All Implemented Interfaces:
  `Serializable`

public class FindJdbcDriverRequest extends PagedRequest
Class used to filter the search for a JDBC driver.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FindJdbcDriverRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindJdbcDriverRequest()`
  `FindJdbcDriverRequest(String databaseName, String databaseVersion)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindJdbcDriverRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getDatabaseName()`
  `String`
  `getDatabaseVersion()`
  `int`
  `hashCode()`
  `void`
  `setDatabaseName(String databaseName)`
  `void`
  `setDatabaseVersion(String databaseVersion)`
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindJdbcDriverRequest

    public FindJdbcDriverRequest()

  - ### FindJdbcDriverRequest

    public FindJdbcDriverRequest(String databaseName, String databaseVersion)

- ## Method Details

  - ### builder

    public static FindJdbcDriverRequest.Builder builder()

  - ### getDatabaseName

    public String getDatabaseName()

  - ### getDatabaseVersion

    public String getDatabaseVersion()

  - ### setDatabaseName

    public void setDatabaseName(String databaseName)

  - ### setDatabaseVersion

    public void setDatabaseVersion(String databaseVersion)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`